#Asher in
from eventAPI import *
from APIUtils import *

AsherPet1 = 0
PetPart3 = 0

def fireEvent(e):
    AsherPet = getTag(e, "AsherPet1")
    Part3 = getTag(e, "PetPart3")

    if(Part3 == 0):
        if(AsherPet == 0):
            showMessage(e, ["There is a stone altar here, with the remains of what appears to be a very large tooth."])
            showMessage(e, ["Not knowing the meaning of this, you determine it best to not disturb the artifact."])
        else:
            showMessage(e, ["There is a stone altar here, with the remains of what appears to be a very large tooth, it must be a piece of Asher's \"Pet\"."])
            if(poseYesNo(e, ["You can pray to the gods above to cleanse this relic", "Do you offer a prayer?"])):
                AsherPet = AsherPet + 1
                setTag(e, "AsherPet1", AsherPet)
                setTag(e, "PetPart3", 1)
    else:
        showMessage(e, ["You have come upon the altar containing the Pet's tooth - this piece has been sanctified."])

    return 0

